<template>
	<div>
		<common @asynCallBack="asynCallBack"></common>
		<top-header :pageTitle="pageTitle"  :routeName="routeName" ></top-header>

		<div class="mui-content vongi-fklist">

			<NullList :remark="'今日暂无访客出入记录'" v-if="!recordList.length"></NullList>


			<ul class="mui-table-view openfyy-list"  v-if="recordList.length">
				<li class="mui-table-view-cell mui-media" v-for="mod in recordList" >
					<a   class="mui-navigate-right" @click="goto(mod.id)">
						{{mod.unit}}
					</a>
					<div class="mui-ellipsis">
						来访人员：{{mod.name}}
						<span>进厂时间：{{sub(mod.comeInTime)}}</span>
					</div>
					<p class="mui-ellipsis">
						同行人员：{{mod.num}}
						<span>出厂时间：{{sub(mod.outTime)}}</span>
					</p>
				</li>

			</ul>
		</div>
		<loading :visible="isLoading"></loading>

	</div>
</template>


<script>
	import * as API_Guest from '@/apis/Master/guest'
	import Common from '$project/components/Common.vue'
	import Loading from '$project/components/Loading.vue'
	import TopHeader from '$project/components/TopHeader.vue'
	import isReachBottom from '$project/utils/isReachBottom'
	import NullList from '$project/components/NullList.vue'
	import {
		mapGetters,
		mapMutations
	} from 'vuex'
	import {
		currentTimeStamp,
		parseUnixTime
	} from '$project/utils'
	export default {
		name: 'MasterGuestGoto',
		components: {
			Common,
			Loading,
			TopHeader,NullList
		},
		data() {
			return {
				pageTitle: '访客出入记录',

				isLoading: false,

				listForm: {
					pageIndex: 1,
					pageSize: 20,
					//	token: '',
					queryDate:'',
					//isToDay:1,//是否只查今天
					totalPage: 1,
					result: 0,
				},
				recordList: [],
				status: ['待确认', '已确认', '已拒绝','已过期'],
				statusColor: ['colorf8b155', 'color55f868', 'colorfe616c','color999'],
				routeName: "MasterGuestScan",
			}
		},
		created() {
			this.listForm.queryDate = parseUnixTime(currentTimeStamp(), '{y}-{m}-{d}');
		},
		methods: {
			sub(time){
				if(time==null){
					return  '-';
				}
				return  String(time).substring(11);
			},
			//info
			goto(id) {

				this.$router.push({
					name: 'MasterGuestApproval',
					query: {
						id: id
					}
				})
			},

			//获取列表
			getList() {
				this.isLoading = true;
				API_Guest.accessRecords(this.listForm).then(res => {
					var response=res.list;
					if (response) {
						if (this.listForm.pageIndex == 1) {
							this.recordList = response.data;
							this.listForm.pageIndex = response.pageNumber;
							this.listForm.totalPage = response.totalPage;
						} else {
							this.recordList = [
								...this.recordList,
								...response.data
							];
						}
					}
					this.listForm.pageIndex++;
					this.isLoading = false;
				}).catch(error => {
					this.isLoading = false;
					mui.toast(error);
				})
			},
			//下拉事件
			handleScrool() {
				if (isReachBottom()) {
					console.log('到达底部')
					if (this.listForm.pageIndex <= this.listForm.totalPage && this.isLoading == false) {
						this.getList();
					} else {
						return;
					}
				}
			},

			asynCallBack() {

			},
		},
		mounted() {
			this.getList();
			//监控下拉加载事件
			var _this = this;
			window.addEventListener('scroll', _this.handleScrool);
		},
		destroyed() {
			//销毁监听事件
			var _this = this;
			window.removeEventListener('scroll', _this.handleScrool);
		},
		computed: {
			...mapGetters({
				openId: 'wx_openid',
				token: 'token',
			})
		},

	}
</script>

<style scoped src="$project/assets/css/xpwyfyy.css"></style>
<style>
</style>
